Subject: Re: linux-next: build failure after merge of the staging tree

From: Greg KH <[email-masked]>
Date: Tue, 18 Apr 2017 13:16:18 +0200

On Tue, Apr 18, 2017 at 04:26:52PM +1000, Stephen Rothwell wrote:
> Hi Greg,
> 
> On Tue, 18 Apr 2017 07:54:40 +0200 Greg KH <[email-masked]> wrote:
> >
> > On Tue, Apr 18, 2017 at 03:32:20PM +1000, Stephen Rothwell wrote:
> > > Hi Greg,
> > > 
> > > After merging the staging tree, today's linux-next build (x86_64
> > > allmodconfig) failed like this:
> > > 
> > > make[7]: *** No rule to make target 'drivers/staging/media/atomisp/pci/atomisp2/css2400/isp/kernels/uds/uds_1.0/ia_css_uds.host.o', needed by 'drivers/staging/media/atomisp/pci/atomisp2/atomisp.o'.  Stop.
> > > 
> > > Caused by commit
> > > 
> > >   7afe8f84f793 ("atomisp: remove UDS kernel code")
> > > 
> > > I have used the staging tree from next-20170413 for today.  
> > 
> > Ok, the 0-day bot reported something odd like this, with Alan's original
> > patches, but I couldn't reproduce it, and then when I applied them, the
> > 0-day bot worked just fine.  But now you are having the same issue.
> > 
> > I'm totally confused, Alan, any ideas?
> 
> Well, drivers/staging/media/atomisp/pci/atomisp2/Makefile lists
> css2400/isp/kernels/uds/uds_1.0/ia_css_uds.host.o in atomisp-objs.
> 
> The above commit deleted
> drivers/staging/media/atomisp/pci/atomisp2/css2400/isp/kernels/uds/uds_1.0/ia_css_uds.host.c

{sigh} It was a long last week...  My tree had a "stale" .o file laying
around from the previous build, I can reproduce this now, sorry for the
noise.  I'll go fix it...

greg k-h